#line 1 "/user/cvsspst/ees1cg/RAVL/RAVL-0.7/Core/System/CollectionIter.hh"
// This file is part of RAVL, Recognition And Vision Library 
// Copyright (C) 2001, University of Surrey
// This code may be redistributed under the terms of the GNU Lesser
// General Public License (LGPL). See the lgpl.licence file for details or
// see http://www.gnu.org/copyleft/lesser.html
// file-header-ends-here
#ifndef RAVLCOLLECTIONITER_HEADER
#define RAVLCOLLECTIONITER_HEADER 1
//////////////////////////////////////////////////////////////
//! rcsid="$Id: CollectionIter.hh,v 1.5 2002/01/31 14:55:30 craftit Exp $"
//! docentry="Ravl.Core.Misc"
//! author="Charles Galambos"
//! lib=RavlCore
//! file="Ravl/Core/System/CollectionIter.hh"

#include "Ravl/Collection.hh"
#include "Ravl/SArr1Iter.hh"

namespace RavlN {

  //! userlevel=Normal
  //: Collection iterator.
  // Iterates through the contents of a collection.
  
  template<class DataT>
  class CollectionIterC 
    : public SArray1dIterC<DataT>
  {
  public:
    CollectionIterC(CollectionC<DataT> &c)
      : SArray1dIterC<DataT>(c.Array())
    {}
    //: Constructor.
    
  };

  //! userlevel=Normal
  //: Collection iterator.
  // Iterates through the contents of a collection.
  
  template<class DataT>
  class CollectionConstIterC 
    : public SArray1dIterC<DataT>
  {
  public:
    CollectionConstIterC(const CollectionC<DataT> &c)
      : SArray1dIterC<DataT>(c.Array())
    {}
    //: Constructor.
    
  };
  
}


#endif
